#2180 closed enhancement (invalid)

Trac old stable and SSL certificate

Reported by: anonymous maybe Owned by: Meeh
Priority: minor Milestone: undecided
Component: trac Version: 0.9.33
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

the trac which is used inside I2P is outdated (old stable) better to use the newer one which is 1.2:-

https://trac.edgewall.org/

also the SSL certificate which is used inside I2P is closed source (maybe also u r paying for it), better to use Lets encrypt which is open source and free:-

https://letsencrypt.org/

Subtickets

Change History (6)

comment:1 Changed 20 months ago by Meeh

Yea I would have changed trac with something else as well while at it :)

comment:2 Changed 18 months ago by Eche|on

Resolution: fixed
Status: newclosed

comment:3 Changed 18 months ago by anonymous maybe

Trac version still old 1.0.5. There are good features for upgrading and the latest version of the trac is 1.2.

comment:4 Changed 18 months ago by anonymous maybe

Resolution: fixed
Status: closedreopened

comment:5 Changed 18 months ago by slumlord

Which are these good features that you are referring to, are there any bugs that you are encountering, or do you know of any security issues associated with the current release?

comment:6 Changed 18 months ago by zzz

Resolution: invalid
Status: reopenedclosed

@OP SSL CA cert provider is the choice of the operator and the project. Your preference isn't material. Nor does your open/closed source issue make sense, it's a certificate, not code.

If you have a particular security issue with this trac installation, please reopen this ticket with the details, or email security at geti2p dot net. "There's something newer" is not, by itself, an issue or a bug. If there are particular features that you require that are in 1.2, let us know in this ticket, as stated in comment 5 above.

Note: See TracTickets for help on using tickets.